CodeIgniter 英文官方網站

CodeIgniter Blog & 新聞

CodeIgniter 2.0.2 Release 釋出

 

CodeIgniter
很高興看到 CodeIgniter 又推出新版 2.0.2 Released,這次升級最主要是針對安全性的漏洞,以及一些 bug 修正,升級步驟也非常簡單,可以參考 Upgrading from 2.0.1 to 2.0.2,只要把 Core 核心檔案換掉,還有如果在程式碼有載入 Security Library 的地方全部取消,看底下:

舉例 Example:

$this->load->library("security");

如果程式碼有用到上面部份,請將其拿掉,因為現在系統已經將 Security Library 加入核心一部分提高整個網站安全性。如果要想知道 2.0.2 做了哪些修正,可以參考 Change log

發布者: appleboy, 日期: 2011-04-11 10:49:33

CodeIgniter 2.0.1 Release 釋出

 

很高興官方 Release 2.0.1 版本了,如果要看 change log 請參考底下網址:

中文: CodeIgniter 2.0.1 Release

英文: CodeIgniter 2.0.1 Release

發布者: appleboy, 日期: 2011-03-20 12:22:54

CodeIgniter 2.0.0 Release 釋出

 

CodeIgniter
繼上次 [新聞] PHP Framework Codeigniter 1.7.3 釋出 Release 之後,官方終於釋出 2.0 的版本,消息來源: http://codeigniter.com/news/codeigniter_2.0.0_released/
CodeIgniter 發展其實還蠻慢的,所以很多工程師都跳去其他 PHP Framework 了,然而我始終認為 CI 是一套非常好學習的初階 Framework,希望更多人來使用,底下是 2.0 發佈相關新聞,大家可以參考看看到底做了哪些改變以及 Fix Bug list:

CodeIgniter 發佈 2.0.0 版

今天 EllisLab 和 CodeIgniter Reactor 的工程師們高興的宣佈:CodeIgniter 2.0.0 的第一個官方版本終於出來了!它有底下兩個版本(或分支):

CodeIgniter Core 版

Core 版是一個更新較慢的版本,它將是 EllisLab 商業產品的基礎,例如 ExpressionEngine 和 MojoMotor 等相關產品。Core 版的更新頻率將會跟之前 CodeIgniter 差不多,這版本將適用於對穩定性與版本相容性要求較高的大型網站,或一些對 SLA 有依賴的企業產品,程式碼可於 BitBucket 下載

CodeIgniter Reactor 版

Reactor 版本是 community driven 分支,這提供最快,也是最新的程式碼,這意味著大家可以提交 Bug 到此版本,新功能的改進,文件修改…等,此團隊有程式碼審核小組,這些工程師負責推動 Reactor 版本發展及維護。
只要是 EllisLab 的新功能及特性都將會被合併倒 Reactor 版本,EllisLab 也會積極推動 Reactor 版本發展,所以 Reactor 會是官方建議使用的版本,所以只要在官網上面看到 CodeIgniter,它就是指 Reactor 版本,在論壇中或者是文件裡都是這樣,簡單來說,CodeIgniter = Reactor。
CodeIgniter 從 1.7.3 到 2.0 的主要變化是:
  • 不再支援 PHP4,最低 PHP 版本需求是 5.1 版
  • 表單函數開始支援 CSRF 保護
  • Drivers
  • Application package
  • Scaffolding 在前幾個版本已經不再使用,現在已經移除了
  • 刪除過時的驗證功能
  • 刪除 Plugin 改用補助函數取代
  • 重新撰寫 index.php 程式碼 routing overrides
  • 新增 $route[『404_override'],可以讓 Controller 使用
  • 50 個以上的 Bug 修正
Reactor 版包含上面的所有修正與特性,並且它自己也有一些優勢:
  • 完全支援 query-string
  • 自動偵測 base_url 是否為空字串
  • 新的快取機制功能,支援 APC and memcache
  • 針對 corn job 支援 command line
  • 20個以上調整改進
可以參考線上 change log 來詳細觀看修改與調整。
官方工作團隊將會在 2011 第一季完成底下特性:

使用手冊留言功能

使用者可以在 User Guide 進行留言討論,就如同 php.net 網站一樣,隨著時間改變,會讓使用手冊更加有用,新的留言系統將可以保留舊的訊息,以及新的評論。

身份驗證功能

這已經經過長久要求的認證 Library (總共有 800 多票支持此功能 UserVoice),不過這需要花些時間來驗證及證明,我們要想一個通用解決方法,讓使用者不會過於複雜。

A More Object-like Model

這個功能就是允許 Active Record 返回一個代表當前結果的 Model 的範例。這將允許以更接近語義的方式處理資料庫的內容。
相比過去,現在 CodeIgniter 是一個更加 community-oriented framework。你可以通過 BitBucket 或 Phil 的 GitHub 提交 pull 請求。你還會看到更頻繁的發布新版本。
你還在等什麼?請立即下載並開始使用!
- Reactor 團隊

發布者: appleboy, 日期: 2011-02-01 13:50:47

CodeIgniter 1.7.3 Release 釋出

 

 

CodeIgniter

剛出爐的新聞: CodeIgniter 1.7.3 Released,1.7.3 版本的出來,最主要是修正了 Upload class 的安全性,在上一次公告就有 Upload Class Patch,只是 1.7.3 就把它納入進來,還有修正在某些情況下可能出現所有檔案(system/libraries/Router.php),除此之外沒有其他重大修正了,看起來是為了過不久的 2.0 所準備,目前團隊都朝 2.0 發展了。

原文:

Version 1.7.3 is a security maintenance release, including a previously patched file Upload class, and a new security fix to prevent possible directory traversal in certain circumstances (back ported from a fix made to CodeIgniter 2.0 at BitBucket). There are no other significant changes.

發布者: appleboy, 日期: 2010-12-07 11:32:11

CodeIgniter 2.0 發展狀況(現在更棒了) 不再支援 PHP4

 

 

CodeIgniter

CodeIgniter 在官網正式公告了一篇 2.0 目前的狀況及改善 CodeIgniter 2.0 – Now with more Awesome,該篇重點莫過於 CI 2.0 將不再支援 PHP 4.0 版本了,這是一項重大改變,官方給目前版本取了一個名稱:CodeIgniterNoPhp4,看到這名字大概就可以知道官方要捨棄 PHP4 了。

自從 CodeIgniter 將所有程式碼搬到 Bitbucket 上面時,就已經宣稱不再 support PHP4,運行了好幾個月,現在以 PHP 5.1.6 來當作開發重點,底下是官方說明 CI 2.0 該注意的地方(其實還有很多地方要注意):

1. 所有類別將以 CI_ 當作前置符號
2. 因為不支援 PHP4 了,所以建構子一律改成 __construct
3. CI_Base 已經被移除,取而代之的是 CI_Controller
4. 之前有提供 Compatibility 輔助函數,目前已經支援 PHP5 了,故將此移除

開始支援 Email and Validation chaining,看一下範例:

$this->email->from('your@example.com', 'Your Name')
            ->to('someone@example.com')
            ->cc('another@another-example.com')
            ->bcc('them@their-example.com')
            ->subject('Email Test')
            ->message('Testing the email class.')
            ->send();

最後官方作者有提到一些事情:ExpressionEngine and CodeIgniter 將不再支援 PHP4,PHP4 從2000年出來,到 2007 年結束,重點來了,官方說 PHP 4 帶給您的困擾,就如同現在 Internet Explorer 6

發布者: appleboy, 日期: 2010-11-13 20:21:26